#Western Castle floor 2 treasure 2
from eventAPI import *
from APIUtils import *

rtcastle2chest2 = 0

def fireEvent(e):
   global rtcastle2chest2
   rtcastle2chest2 = getTag(e, "rtcastle2chest2")
   if (rtcastle2chest2 == 1):
      return 1
   else:
      showMessage(e, ["You have found the castle armory, though most of the weapons have turned to rust."])
      chest(e, -1, 0, 0, ["Ardent Blade", "Research Notes"], 0, "Treasure")
   rtcastle2chest2 = 1
   setTag(e, "rtcastle2chest2", rtcastle2chest2)
   return 1
